These are chat archives for MylesIsCool/ViaVersion

9th
Oct 2016
Max
@Maxqia
Oct 09 2016 00:34
What do you mean by that?
Max
@Maxqia
Oct 09 2016 00:47
@MylesIsCool Got it fully working, now time to clean it up and make some patched versions of ProtocolSupport
Oh yeah my favorite plugin ever : https://github.com/gvlfm78/BukkitOldCombatMechanics :D
Max
@Maxqia
Oct 09 2016 01:06
It's literally a one line patch that took 2 people >24 hours of time to figure out :O
Max
@Maxqia
Oct 09 2016 01:17
PR for ProtocolSupport here : ProtocolSupport/ProtocolSupport#282
Checkium
@checkium
Oct 09 2016 01:53
@Maxqia I mean viaversion that makes your 1.8 server support up to 1.11
Max
@Maxqia
Oct 09 2016 04:39
Yes, it's even currently in progress right now (using minecraft snapshots because 1.11 isn't out yet)
Max
@Maxqia
Oct 09 2016 08:10
@MylesIsCool I got 1.9 working with ProtocolSupport (and kinda figured out why your branch didn't work before ... at least for the 1.9->1.9.4 conversion). With 1.9->1.9.4, because ProtocolSupport and ViaVersion both implement 1.9 on 1.9.4, ProtocolSupport ends up encoding the packets and ViaVersion ends up decoding the packets , which causes very bad things ... . Can you move the 1.9->1.9.4 support to ViaBackwards ;)
Mats
@Matsv
Oct 09 2016 08:13
Maxqia: I guess we can't do that, lots of people use ViaVersion on 1.9.4 to also allow every other version of 1.9
Oh wait not IRC, @Maxqia
Myles
@MylesIsCool
Oct 09 2016 09:14
@Maxqia I don't suppose there's an easy work around?
Max
@Maxqia
Oct 09 2016 23:43
It seems more appropriate to put it in ViaBackwards, but we could add a check for ProtocolSupport in the ProtocolRegistry, but that'd be a lot more hacky.